aboutsummaryrefslogtreecommitdiffstats
path: root/chapter07/localnet.xml
diff options
context:
space:
mode:
Diffstat (limited to 'chapter07/localnet.xml')
-rw-r--r--chapter07/localnet.xml59
1 files changed, 59 insertions, 0 deletions
diff --git a/chapter07/localnet.xml b/chapter07/localnet.xml
new file mode 100644
index 000000000..e82f9ba0c
--- /dev/null
+++ b/chapter07/localnet.xml
@@ -0,0 +1,59 @@
+<sect1 id="ch09-localnet">
+<title>Creating the /etc/init.d/localnet bootscript</title>
+
+<para>
+Create a new file <filename>/etc/init.d/localnet</filename> containing
+the following:
+</para>
+
+<literallayout>
+
+<userinput>cat &gt; /etc/init.d/localnet &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin /etc/init.d/localnet
+
+#
+# Include the functions declared in the /etc/init.d/functions file
+# and include the variables from the /etc/sysconfig/network file.
+#
+
+source /etc/init.d/functions
+source /etc/sysconfig/network
+
+case "$1" in
+ start)
+ echo -n "Bringing up the loopback interface..."
+ /sbin/ifconfig lo 127.0.0.1
+ evaluate_retval
+
+ echo -n "Setting up hostname..."
+ /bin/hostname $HOSTNAME
+ evaluate_retval
+ ;;
+
+ stop)
+ echo -n "Bringing down the loopback interface..."
+ /sbin/ifconfig lo down
+ evaluate_retval
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0: {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+# End /etc/init.d/localnet
+<userinput>EOF</userinput>
+
+</literallayout>
+
+&c9-localnet-symperm;
+
+</sect1>
+